---

#! /db/releases/20250103094350/lkp-src/jobs/vm-scalability.yaml
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size: 256G
vm-scalability:
  test: msync
job_origin: vm-scalability.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-cpl-4sp2
tbox_group: lkp-cpl-4sp2
job_file: "/lkp/jobs/scheduled/lkp-cpl-4sp2/vm-scalability-performance-300s-256G-msync-debian-12-x86_64-20240206.cgz-239d87327dcd-20250106-28637-nno6w3-1.yaml"
id: 9a47bf0dd8c987ae1f7020f32819f5ee1d5e9a9a
queuer_version: "/zday/lkp"

#! /db/releases/20250103094350/lkp-src/hosts/lkp-cpl-4sp2
model: Cooper Lake
nr_node: 4
nr_cpu: 224
memory: 192G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-00UA7T0_WD-WXD2EA047AUD-part*"
ssd_partitions:
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part1"
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part2"
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part3"
rootfs_partition: "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part4"
kernel_cmdline_hw: acpi_rsdp=0x666e0014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Platinum 8380H CPU @ 2.90GHz
ucode: '0x7002703'

#! /db/releases/20250103094350/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:

#! /db/releases/20250103094350/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20250103094350/lkp-src/programs/vm-scalability/include

#! /db/releases/20250103094350/lkp-src/include/queue/cyclic
commit: 239d87327dcd361b0098038995f8908f3296864f
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-01-06 01:46:30.554720264 +08:00
_rt: "/result/vm-scalability/performance-300s-256G-msync/lkp-cpl-4sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/239d87327dcd361b0098038995f8908f3296864f"
compiler: gcc-12
head_commit: b9190d77bcbde685192d321bd0f7c20f496e82ca
base_commit: 4bbf9020becbfd8fc2c3da790855b7042fad455b
branch: linux-devel/devel-hourly-20241230-062619
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20241227-195034"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-256G-msync/lkp-cpl-4sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/239d87327dcd361b0098038995f8908f3296864f/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/239d87327dcd361b0098038995f8908f3296864f/vmlinuz-6.12.0-rc2-00005-g239d87327dcd
- branch=linux-devel/devel-hourly-20241230-062619
- job=/lkp/jobs/scheduled/lkp-cpl-4sp2/vm-scalability-performance-300s-256G-msync-debian-12-x86_64-20240206.cgz-239d87327dcd-20250106-28637-nno6w3-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=239d87327dcd361b0098038995f8908f3296864f
- intremap=posted_msi
- acpi_rsdp=0x666e0014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/239d87327dcd361b0098038995f8908f3296864f/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250104094732/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cpl-4sp2/vm-scalability-performance-300s-256G-msync-debian-12-x86_64-20240206.cgz-239d87327dcd-20250106-28637-nno6w3-1.cgz"
last_kernel: 6.1.0-10-amd64
acpi_rsdp: '0x666e0014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/239d87327dcd361b0098038995f8908f3296864f/vmlinuz-6.12.0-rc2-00005-g239d87327dcd"
result_root: "/result/vm-scalability/performance-300s-256G-msync/lkp-cpl-4sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/239d87327dcd361b0098038995f8908f3296864f/0"
dequeue_time: 2025-01-06 01:48:47.929518763 +08:00
job_state: finished
loadavg: 104.84 94.92 44.02 1/1987 28041
start_time: '1736127009'
end_time: '1736127330'
version: "/lkp/lkp/.src-20241227-195034:595d4593f463:126761941f80"
